# $Revision: 1.19 $, $Date: 2007/02/12 21:23:50 $
Summary:	Binary vi
Summary(pl.UTF-8):	Binarny vi
Name:		bvi
Version:	1.3.2
Release:	1
License:	GPL
Group:		Applications/Editors
Source0:	http://dl.sourceforge.net/bvi/%{name}-%{version}.src.tar.gz
# Source0-md5:	4257305ffb27177a6d5208b2df4ca92d
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-paths.patch
URL:		http://bvi.sourceforge.net/
BuildRequires:	automake
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bvi is a simple binary file editor which user interface is based on vi
editor.

%description -l pl.UTF-8
bvi to prosty edytor plików binarnych z interfejsem wzorowanym na
edytorze vi.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--with-ncurses=/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES CREDITS html/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bvi.spec,v $
Revision 1.19  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.17  2005/05/15 16:44:06  darekr
- BR: ncurses-devel

Revision 1.16  2004/08/18 12:39:59  qboosh
- BR: automake

Revision 1.15  2004/08/18 09:56:17  domelu
- config.sub
- rel 2

Revision 1.14  2004/02/15 17:03:02  qboosh
- missing dir

Revision 1.13  2004/02/15 00:13:36  adamg
- updated to 1.3.2
- etc_dir patch replaced with home_etc patch
- added -paths patch
- release 1

Revision 1.12  2003/08/06 16:39:15  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.11  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.10  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:46:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/07 12:22:02  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.7  2003/03/23 19:37:28  juandon
- added home_etc.patch
- Release 2

Revision 1.6  2003/02/25 11:18:20  qboosh
- working Source URL

Revision 1.5  2002/10/10 12:26:52  marcus
- use new %%doc

Revision 1.4  2002/05/10 16:05:01  qboosh
- removed COPYING from doc (known - GPL)

Revision 1.3  2002/05/09 22:22:09  qboosh
- cosmetics in descriptions

Revision 1.2  2002/04/25 22:48:09  rrw
- first working version of spec;
- release 1;

Revision 1.1  2002/04/25 22:02:04  rrw
- the very first version of bvi.spec copied from template.spec;
